ibase_close
ibase_commit
Firebird/InterBase Functions
PHP Manual

# ibase_commit_ret

(PHP 5)

ibase_commit_ret — Commit a transaction without closing it

### Description

bool ibase_commit_ret ([ resource `$link_or_trans_identifier` = `NULL` ] )

Commits a transaction without closing it.

### Parameters

`link_or_trans_identifier`

  If called without an argument, this function commits the default transaction of the default link. If the argument is a connection identifier, the default transaction of the corresponding connection will be committed. If the argument is a transaction identifier, the corresponding transaction will be committed. The transaction context will be retained, so statements executed from within this transaction will not be invalidated.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

ibase_close
ibase_commit
Firebird/InterBase Functions
PHP Manual